function HUDManager:get_dot_color(color_name)
    if color_name == "rainbow" then
        return self:RainbowMotionDot()
    end
    local custom_colors = self:custom_dot_colors(color_name)
	return tweak_data.accessibility_colors.dot[color_name] or custom_colors or tweak_data.accessibility_colors.dot.white or Color.white
end

function HUDManager:custom_dot_colors(color_name)
    local colors = {
        pastel_pink = Color(255, 255, 161, 220) / 255,
        purple = Color(255, 128, 0, 128) / 255,
        aqua = Color(255, 0, 255, 221) / 255,
        strawb = Color(255, 251, 41, 65) / 255,
        orange = Color(255, 255, 85, 0) / 255,
        red = Color(255, 255, 0, 0) / 255,
        navy = Color(255, 56, 63, 255) / 255,
        pink = Color(255, 255, 0, 160) / 255,
        lilac = Color(255, 223, 168, 255) / 255,
        black = Color(255, 0, 0, 0) / 255,
        blue_violet = Color(255, 169, 48, 255) / 255,
    }

    return colors[color_name]
end

function Rainbow(base_mul, speed_mul, flat_change)
	local time = Application:time()
	local r = math.max(math.sin(time * ((base_mul[1] or 1) * (speed_mul or 1)) + (flat_change[1] or 0)), 0.1)
	local g = math.max(math.sin(time * ((base_mul[2] or 1) * (speed_mul or 1)) + (flat_change[2] or 0)), 0.1)
	local b = math.max(math.sin(time * ((base_mul[3] or 1) * (speed_mul or 1)) + (flat_change[3] or 0)), 0.1)

	return r,g,b
end

function HUDManager:RainbowMotionDot()
    local r,g,b  = Rainbow({5,2,3},10,{0,20,50})
    return Color(1,r,g,b)
end

function HUDManager:Update_MDC(c)
    if c == "rainbow" then
        self:set_accessibility_dot_visible(true, "rainbow")
    end
end

Hooks:PostHook(HUDManager, "_create_accessibility", "_create_accessibility__", function(self, hud)
    if managers.user:get_setting("accessibility_dot") == "rainbow" then
        self:Update_MDC("rainbow")
    end
end)

Hooks:PostHook(HUDManager, "set_accessibility_dot_visible", "set_accessibility_dot_visible__", function(self, visible, color_name)
    if color_name then
        Hooks:Add("GameSetupUpdate", "UPDMDC", function ()
            self:Update_MDC(color_name)
        end)
    end
end)